package intrinsic.flash.html;

public class HTMLControl extends intrinsic.flash.display.Sprite {

	/** Accessors */
	public boolean shouldAuthenticate;
	public double height;
	public String userAgent;
	public boolean useCache;
	public boolean shouldCacheResponse;
	public boolean manageCookies;
	public int historyPosition;
	public double width;
	public boolean showRepaints;
	public double scrollH;
	public double scrollV;
	public intrinsic.flash.html.JavaScriptObject window;
	public String location;
	public intrinsic.flash.html.HTMLHost htmlHost;
	public double htmlHeight;
	public boolean loaded;
	public int numChildren;
	public boolean paintsDefaultBackground;
	public int historyLength;
	public intrinsic.flash.system.ApplicationDomain useApplicationDomain;
	public double htmlWidth;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static int pdfCapability;

	/** Class variables */

/** Contructors */
public HTMLControl() {
}


/** Static Methods */
public static native intrinsic.flash.html.HTMLControl createRootWindow();
public static native intrinsic.flash.html.HTMLControl createRootWindow(boolean arg0);
public static native intrinsic.flash.html.HTMLControl createRootWindow(boolean arg0, intrinsic.flash.display.NativeWindowInitOptions arg1);
public static native intrinsic.flash.html.HTMLControl createRootWindow(boolean arg0, intrinsic.flash.display.NativeWindowInitOptions arg1, boolean arg2);
public static native intrinsic.flash.html.HTMLControl createRootWindow(boolean arg0, intrinsic.flash.display.NativeWindowInitOptions arg1, boolean arg2, intrinsic.flash.geom.Rectangle arg3);

/** Methods */
public native void historyForward();
public native intrinsic.flash.html.HTMLHistoryItem getHistoryAt(int arg0);
public native void reload();
public native void historyBack();
public native void load(intrinsic.flash.net.URLRequest arg0);
public native boolean contains(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject getChildByName(String arg0);
public native void historyGo(int arg0);
public native void closePopupWindowIfNeeded();
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native int getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject getChildAt(int arg0);
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native boolean areInaccessibleObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native void swapChildrenAt(int arg0, int arg1);
public native intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);
public native void swapChildren(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.display.DisplayObject arg1);
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native void cancelLoad();
public native intrinsic.Array getObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native void loadString(String arg0);

}
